Description

Cargamos un DXF reproyectado al vuelo, entramos en edicion y falla.

Associated revisions
Revision 42877 - 07/08/2016 12:49 PM - Francisco Díaz Carsí

refs #4257:
- Añadida la posibilidad de arreglar la capa cuando no se puede reproyectar al vuelo por error en la proyección que se le ha asignado.
- Arreglada la recarga de capas cuando se ha cambiado su proyección.

History
#1 - 07/01/2016 12:44 PM - Daniel Martinez

INFO AWT-EventQueue-0 org.gvsig.app.gui.WizardPanel - addLayer('aDXF_3068.dxf',...)
INFO Thread-15 org.gvsig.fmap.dal.impl.DefaultDataManager -
openStore('DXF','_entity_:Persistence%3ADXFStoreParameters,File:E%3A%5CTestData%5CVectorial%5CLaRioja3_IDERIOJA_DXF%5CaDXF_3068.dxf,CRS:org.gvsig.crs.Crs%28266%2C762%2C298%2CEPSG%3A3068%29,ProviderName:DXF')
INFO Thread-15 org.gvsig.fmap.dal.store.dxf.DXFStoreProvi
XF_3068.dxf,CRS:org.gvsig.crs.Crs%28266%2C762%2C298%2CEPSG%3A3068%29,ProviderName:DXF')
INFO Thread-15 org.gvsig.fmap.dal.store.dxf.DXFStoreProvider$Reader - load: acadVersion = 'ACAD2000'
ERROR Thread-15 org.gvsig.fmap.geom.jts.primitive.Envelope2D - Unable to reproject envelope with transf:
org.gvsig.crs.COperation@279860b9
INFO Thread-15 org.gvsig.i18n.Messages - [org.gvsig.i18n.Messages] Cannot find translation for key '_Layer'.
INFO Thread-15 org.gvsig.i18n.Messages - [org.gvsig.i18n.Messages] Cannot find translation for key '_Problems'.
INFO Thread-15 org.gvsig.i18n.Messages - [org.gvsig.i18n.Messages] Cannot find translation for key '_View_properties_of_data_source'.
INFO Thread-15 org.gvsig.i18n.Messages - [org.gvsig.i18n.Messages] Cannot find translation for key '_Problems_loading_the_layer'.
WARN Thread-15 org.gvsig.app.gui.WizardPanel$1 - Can't load layer 'aDXF_3068.dxf'.
The envelope has not been initialized
    at org.gvsig.fmap.geom.jts.primitive.DefaultEnvelope.getMaximum(DefaultEnvelope.java:176)
    at org.gvsig.fmap.mapcontext.ViewPort.setEnvelope(ViewPort.java:839)
    at org.gvsig.fmap.mapcontext.MapContext$LayerEventListener.layerAdded(MapContext.java:1400)
    at org.gvsig.fmap.mapcontext.layers.FLayers.callLayerAdded(FLayers.java:712)
    at org.gvsig.fmap.mapcontext.layers.FLayers.addLayer(FLayers.java:224)
    at org.gvsig.fmap.mapcontext.layers.FLayers.addLayer(FLayers.java:191)
    at org.gvsig.app.gui.WizardPanel$1.run(WizardPanel.java:251)
    at java.lang.Thread.run(Unknown Source)

#2 - 07/01/2016 12:51 PM - Daniel Martinez
- Assignee set to Francisco Díaz Carsí

#3 - 07/07/2016 03:04 PM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2437
- Status changed from New to Invalid

No he podido reproducir el error con otros archivos DXF reproyectándolos al vuelo.

El problema está concretamente en esta capa que, por el nombre ('aDXF_3068.dxf'), parecería que está en EPSG:3068 y que si la intentas cargar
reproyectándola al vuelo desde esa proyección sí revienta, pero incluso intentándola dibujar, no necesariamente al entrar en edición.

Esta capa, realmente está en EPSG:23030 o similar, si la cargas reproyectándola al vuelo desde esa proyección a, por ejemplo, 4326, sí que carga y
cuando entras en edición sale el habitual mensaje de precaución con la edición proyectada al vuelo pero no revienta.

#4 - 07/08/2016 08:31 AM - Francisco Díaz Carsí
- Status changed from Invalid to New

Pensándolo mejor, tal vez se pueda indicar al usuario el problema para que cambie la proyección en las propiedades de carga de la capa.

La reabro.

#5 - 07/08/2016 12:49 PM - Francisco Díaz Carsí
- Status changed from New to Fixed

#6 - 07/25/2016 11:27 AM - Álvaro Anguix
- Status changed from Fixed to Closed
